<h2>Список заказов: </h2>
<table mat-table [dataSource]="orders"
       class="mat-elevation-z8"
       *ngIf="orders">

    <ng-container matColumnDef="start">
        <th mat-header-cell *matHeaderCellDef> Дата начала </th>
        <td mat-cell *matCellDef="let element"> {{element.start | date}} </td>
    </ng-container>

    <ng-container matColumnDef="calculatedAmount">
        <th mat-header-cell *matHeaderCellDef>Стоимость</th>
        <td mat-cell *matCellDef="let element"> {{element.calculatedAmount}} </td>
    </ng-container>

    <ng-container matColumnDef="status">
        <th mat-header-cell *matHeaderCellDef> Статус </th>
        <td mat-cell *matCellDef="let element"> {{element.status}} </td>
    </ng-container>

    <ng-container matColumnDef="tariffName">
        <th mat-header-cell *matHeaderCellDef> Тип тарифа </th>
        <td mat-cell *matCellDef="let element"> {{element.tarif.name}} </td>
    </ng-container>

    <tr mat-header-row *matHeaderRowDef="displayedColumns"></tr>
    <tr mat-row *matRowDef="let row; columns: displayedColumns;" (click)="goToUser(row)"></tr>
</table>
